import request from '@/utils/request'

export function _getCustomerEmailAddress(data) {
  return request({
    url: '/EmailConfig/GetCustomerEmailAddress',
    method: 'post',
    data
  })
}

export function _setCustomerEmailAddress(data) {
  return request({
    url: '/EmailConfig/SetCustomerEmailAddress',
    method: 'post',
    data
  })
}

export function _getSendConifg(emailType) {
  return request({
    url: '/EmailConfig/GetSendConifg',
    method: 'get',
    params: { emailType }
  })
}

export function _setSendConifg(data) {
  return request({
    url: '/EmailConfig/SetSendConifg',
    method: 'post',
    data
  })
}

export function _getNoticeEmailPageResult(data) {
  return request({
    url: '/EmailConfig/GetNoticeEmailPageResult',
    method: 'post',
    data
  })
}

export function _getNoticeCustomerEmailAddressPageResult(data) {
  return request({
    url: '/EmailConfig/GetNoticeCustomerEmailAddressPageResult',
    method: 'post',
    data
  })
}
